Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network238.7.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
238.7.0.0
Broadcast address
238.7.63.255
First usable
238.7.0.1
Last usable
238.7.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EE070000 · Integer 3993436160 to 3993452543
Reverse DNS zones
0.7.238.in-addr.arpa
1.7.238.in-addr.arpa
2.7.238.in-addr.arpa
3.7.238.in-addr.arpa
4.7.238.in-addr.arpa
5.7.238.in-addr.arpa
6.7.238.in-addr.arpa
7.7.238.in-addr.arpa
8.7.238.in-addr.arpa
9.7.238.in-addr.arpa
10.7.238.in-addr.arpa
11.7.238.in-addr.arpa
12.7.238.in-addr.arpa
13.7.238.in-addr.arpa
14.7.238.in-addr.arpa
15.7.238.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101110.00000111.00000000.00000000238.7.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11101110.00000111.00000000.00000000238.7.0.0
Broadcast11101110.00000111.00111111.11111111238.7.63.255
Split into smaller subnets/28

238.7.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1238.7.0.0/28238.7.0.1 to 238.7.0.14238.7.0.1514
2238.7.0.16/28238.7.0.17 to 238.7.0.30238.7.0.3114
3238.7.0.32/28238.7.0.33 to 238.7.0.46238.7.0.4714
4238.7.0.48/28238.7.0.49 to 238.7.0.62238.7.0.6314
5238.7.0.64/28238.7.0.65 to 238.7.0.78238.7.0.7914
6238.7.0.80/28238.7.0.81 to 238.7.0.94238.7.0.9514
7238.7.0.96/28238.7.0.97 to 238.7.0.110238.7.0.11114
8238.7.0.112/28238.7.0.113 to 238.7.0.126238.7.0.12714
9238.7.0.128/28238.7.0.129 to 238.7.0.142238.7.0.14314
10238.7.0.144/28238.7.0.145 to 238.7.0.158238.7.0.15914
11238.7.0.160/28238.7.0.161 to 238.7.0.174238.7.0.17514
12238.7.0.176/28238.7.0.177 to 238.7.0.190238.7.0.19114
13238.7.0.192/28238.7.0.193 to 238.7.0.206238.7.0.20714
14238.7.0.208/28238.7.0.209 to 238.7.0.222238.7.0.22314
15238.7.0.224/28238.7.0.225 to 238.7.0.238238.7.0.23914
16238.7.0.240/28238.7.0.241 to 238.7.0.254238.7.0.25514
17238.7.1.0/28238.7.1.1 to 238.7.1.14238.7.1.1514
18238.7.1.16/28238.7.1.17 to 238.7.1.30238.7.1.3114
19238.7.1.32/28238.7.1.33 to 238.7.1.46238.7.1.4714
20238.7.1.48/28238.7.1.49 to 238.7.1.62238.7.1.6314
21238.7.1.64/28238.7.1.65 to 238.7.1.78238.7.1.7914
22238.7.1.80/28238.7.1.81 to 238.7.1.94238.7.1.9514
23238.7.1.96/28238.7.1.97 to 238.7.1.110238.7.1.11114
24238.7.1.112/28238.7.1.113 to 238.7.1.126238.7.1.12714
25238.7.1.128/28238.7.1.129 to 238.7.1.142238.7.1.14314
26238.7.1.144/28238.7.1.145 to 238.7.1.158238.7.1.15914
27238.7.1.160/28238.7.1.161 to 238.7.1.174238.7.1.17514
28238.7.1.176/28238.7.1.177 to 238.7.1.190238.7.1.19114
29238.7.1.192/28238.7.1.193 to 238.7.1.206238.7.1.20714
30238.7.1.208/28238.7.1.209 to 238.7.1.222238.7.1.22314
31238.7.1.224/28238.7.1.225 to 238.7.1.238238.7.1.23914
32238.7.1.240/28238.7.1.241 to 238.7.1.254238.7.1.25514
33238.7.2.0/28238.7.2.1 to 238.7.2.14238.7.2.1514
34238.7.2.16/28238.7.2.17 to 238.7.2.30238.7.2.3114
35238.7.2.32/28238.7.2.33 to 238.7.2.46238.7.2.4714
36238.7.2.48/28238.7.2.49 to 238.7.2.62238.7.2.6314
37238.7.2.64/28238.7.2.65 to 238.7.2.78238.7.2.7914
38238.7.2.80/28238.7.2.81 to 238.7.2.94238.7.2.9514
39238.7.2.96/28238.7.2.97 to 238.7.2.110238.7.2.11114
40238.7.2.112/28238.7.2.113 to 238.7.2.126238.7.2.12714
41238.7.2.128/28238.7.2.129 to 238.7.2.142238.7.2.14314
42238.7.2.144/28238.7.2.145 to 238.7.2.158238.7.2.15914
43238.7.2.160/28238.7.2.161 to 238.7.2.174238.7.2.17514
44238.7.2.176/28238.7.2.177 to 238.7.2.190238.7.2.19114
45238.7.2.192/28238.7.2.193 to 238.7.2.206238.7.2.20714
46238.7.2.208/28238.7.2.209 to 238.7.2.222238.7.2.22314
47238.7.2.224/28238.7.2.225 to 238.7.2.238238.7.2.23914
48238.7.2.240/28238.7.2.241 to 238.7.2.254238.7.2.25514
49238.7.3.0/28238.7.3.1 to 238.7.3.14238.7.3.1514
50238.7.3.16/28238.7.3.17 to 238.7.3.30238.7.3.3114
51238.7.3.32/28238.7.3.33 to 238.7.3.46238.7.3.4714
52238.7.3.48/28238.7.3.49 to 238.7.3.62238.7.3.6314
53238.7.3.64/28238.7.3.65 to 238.7.3.78238.7.3.7914
54238.7.3.80/28238.7.3.81 to 238.7.3.94238.7.3.9514
55238.7.3.96/28238.7.3.97 to 238.7.3.110238.7.3.11114
56238.7.3.112/28238.7.3.113 to 238.7.3.126238.7.3.12714
57238.7.3.128/28238.7.3.129 to 238.7.3.142238.7.3.14314
58238.7.3.144/28238.7.3.145 to 238.7.3.158238.7.3.15914
59238.7.3.160/28238.7.3.161 to 238.7.3.174238.7.3.17514
60238.7.3.176/28238.7.3.177 to 238.7.3.190238.7.3.19114
61238.7.3.192/28238.7.3.193 to 238.7.3.206238.7.3.20714
62238.7.3.208/28238.7.3.209 to 238.7.3.222238.7.3.22314
63238.7.3.224/28238.7.3.225 to 238.7.3.238238.7.3.23914
64238.7.3.240/28238.7.3.241 to 238.7.3.254238.7.3.25514
65238.7.4.0/28238.7.4.1 to 238.7.4.14238.7.4.1514
66238.7.4.16/28238.7.4.17 to 238.7.4.30238.7.4.3114
67238.7.4.32/28238.7.4.33 to 238.7.4.46238.7.4.4714
68238.7.4.48/28238.7.4.49 to 238.7.4.62238.7.4.6314
69238.7.4.64/28238.7.4.65 to 238.7.4.78238.7.4.7914
70238.7.4.80/28238.7.4.81 to 238.7.4.94238.7.4.9514
71238.7.4.96/28238.7.4.97 to 238.7.4.110238.7.4.11114
72238.7.4.112/28238.7.4.113 to 238.7.4.126238.7.4.12714
73238.7.4.128/28238.7.4.129 to 238.7.4.142238.7.4.14314
74238.7.4.144/28238.7.4.145 to 238.7.4.158238.7.4.15914
75238.7.4.160/28238.7.4.161 to 238.7.4.174238.7.4.17514
76238.7.4.176/28238.7.4.177 to 238.7.4.190238.7.4.19114
77238.7.4.192/28238.7.4.193 to 238.7.4.206238.7.4.20714
78238.7.4.208/28238.7.4.209 to 238.7.4.222238.7.4.22314
79238.7.4.224/28238.7.4.225 to 238.7.4.238238.7.4.23914
80238.7.4.240/28238.7.4.241 to 238.7.4.254238.7.4.25514
81238.7.5.0/28238.7.5.1 to 238.7.5.14238.7.5.1514
82238.7.5.16/28238.7.5.17 to 238.7.5.30238.7.5.3114
83238.7.5.32/28238.7.5.33 to 238.7.5.46238.7.5.4714
84238.7.5.48/28238.7.5.49 to 238.7.5.62238.7.5.6314
85238.7.5.64/28238.7.5.65 to 238.7.5.78238.7.5.7914
86238.7.5.80/28238.7.5.81 to 238.7.5.94238.7.5.9514
87238.7.5.96/28238.7.5.97 to 238.7.5.110238.7.5.11114
88238.7.5.112/28238.7.5.113 to 238.7.5.126238.7.5.12714
89238.7.5.128/28238.7.5.129 to 238.7.5.142238.7.5.14314
90238.7.5.144/28238.7.5.145 to 238.7.5.158238.7.5.15914
91238.7.5.160/28238.7.5.161 to 238.7.5.174238.7.5.17514
92238.7.5.176/28238.7.5.177 to 238.7.5.190238.7.5.19114
93238.7.5.192/28238.7.5.193 to 238.7.5.206238.7.5.20714
94238.7.5.208/28238.7.5.209 to 238.7.5.222238.7.5.22314
95238.7.5.224/28238.7.5.225 to 238.7.5.238238.7.5.23914
96238.7.5.240/28238.7.5.241 to 238.7.5.254238.7.5.25514
97238.7.6.0/28238.7.6.1 to 238.7.6.14238.7.6.1514
98238.7.6.16/28238.7.6.17 to 238.7.6.30238.7.6.3114
99238.7.6.32/28238.7.6.33 to 238.7.6.46238.7.6.4714
100238.7.6.48/28238.7.6.49 to 238.7.6.62238.7.6.6314
101238.7.6.64/28238.7.6.65 to 238.7.6.78238.7.6.7914
102238.7.6.80/28238.7.6.81 to 238.7.6.94238.7.6.9514
103238.7.6.96/28238.7.6.97 to 238.7.6.110238.7.6.11114
104238.7.6.112/28238.7.6.113 to 238.7.6.126238.7.6.12714
105238.7.6.128/28238.7.6.129 to 238.7.6.142238.7.6.14314
106238.7.6.144/28238.7.6.145 to 238.7.6.158238.7.6.15914
107238.7.6.160/28238.7.6.161 to 238.7.6.174238.7.6.17514
108238.7.6.176/28238.7.6.177 to 238.7.6.190238.7.6.19114
109238.7.6.192/28238.7.6.193 to 238.7.6.206238.7.6.20714
110238.7.6.208/28238.7.6.209 to 238.7.6.222238.7.6.22314
111238.7.6.224/28238.7.6.225 to 238.7.6.238238.7.6.23914
112238.7.6.240/28238.7.6.241 to 238.7.6.254238.7.6.25514
113238.7.7.0/28238.7.7.1 to 238.7.7.14238.7.7.1514
114238.7.7.16/28238.7.7.17 to 238.7.7.30238.7.7.3114
115238.7.7.32/28238.7.7.33 to 238.7.7.46238.7.7.4714
116238.7.7.48/28238.7.7.49 to 238.7.7.62238.7.7.6314
117238.7.7.64/28238.7.7.65 to 238.7.7.78238.7.7.7914
118238.7.7.80/28238.7.7.81 to 238.7.7.94238.7.7.9514
119238.7.7.96/28238.7.7.97 to 238.7.7.110238.7.7.11114
120238.7.7.112/28238.7.7.113 to 238.7.7.126238.7.7.12714
121238.7.7.128/28238.7.7.129 to 238.7.7.142238.7.7.14314
122238.7.7.144/28238.7.7.145 to 238.7.7.158238.7.7.15914
123238.7.7.160/28238.7.7.161 to 238.7.7.174238.7.7.17514
124238.7.7.176/28238.7.7.177 to 238.7.7.190238.7.7.19114
125238.7.7.192/28238.7.7.193 to 238.7.7.206238.7.7.20714
126238.7.7.208/28238.7.7.209 to 238.7.7.222238.7.7.22314
127238.7.7.224/28238.7.7.225 to 238.7.7.238238.7.7.23914
128238.7.7.240/28238.7.7.241 to 238.7.7.254238.7.7.25514
129238.7.8.0/28238.7.8.1 to 238.7.8.14238.7.8.1514
130238.7.8.16/28238.7.8.17 to 238.7.8.30238.7.8.3114
131238.7.8.32/28238.7.8.33 to 238.7.8.46238.7.8.4714
132238.7.8.48/28238.7.8.49 to 238.7.8.62238.7.8.6314
133238.7.8.64/28238.7.8.65 to 238.7.8.78238.7.8.7914
134238.7.8.80/28238.7.8.81 to 238.7.8.94238.7.8.9514
135238.7.8.96/28238.7.8.97 to 238.7.8.110238.7.8.11114
136238.7.8.112/28238.7.8.113 to 238.7.8.126238.7.8.12714
137238.7.8.128/28238.7.8.129 to 238.7.8.142238.7.8.14314
138238.7.8.144/28238.7.8.145 to 238.7.8.158238.7.8.15914
139238.7.8.160/28238.7.8.161 to 238.7.8.174238.7.8.17514
140238.7.8.176/28238.7.8.177 to 238.7.8.190238.7.8.19114
141238.7.8.192/28238.7.8.193 to 238.7.8.206238.7.8.20714
142238.7.8.208/28238.7.8.209 to 238.7.8.222238.7.8.22314
143238.7.8.224/28238.7.8.225 to 238.7.8.238238.7.8.23914
144238.7.8.240/28238.7.8.241 to 238.7.8.254238.7.8.25514
145238.7.9.0/28238.7.9.1 to 238.7.9.14238.7.9.1514
146238.7.9.16/28238.7.9.17 to 238.7.9.30238.7.9.3114
147238.7.9.32/28238.7.9.33 to 238.7.9.46238.7.9.4714
148238.7.9.48/28238.7.9.49 to 238.7.9.62238.7.9.6314
149238.7.9.64/28238.7.9.65 to 238.7.9.78238.7.9.7914
150238.7.9.80/28238.7.9.81 to 238.7.9.94238.7.9.9514
151238.7.9.96/28238.7.9.97 to 238.7.9.110238.7.9.11114
152238.7.9.112/28238.7.9.113 to 238.7.9.126238.7.9.12714
153238.7.9.128/28238.7.9.129 to 238.7.9.142238.7.9.14314
154238.7.9.144/28238.7.9.145 to 238.7.9.158238.7.9.15914
155238.7.9.160/28238.7.9.161 to 238.7.9.174238.7.9.17514
156238.7.9.176/28238.7.9.177 to 238.7.9.190238.7.9.19114
157238.7.9.192/28238.7.9.193 to 238.7.9.206238.7.9.20714
158238.7.9.208/28238.7.9.209 to 238.7.9.222238.7.9.22314
159238.7.9.224/28238.7.9.225 to 238.7.9.238238.7.9.23914
160238.7.9.240/28238.7.9.241 to 238.7.9.254238.7.9.25514
161238.7.10.0/28238.7.10.1 to 238.7.10.14238.7.10.1514
162238.7.10.16/28238.7.10.17 to 238.7.10.30238.7.10.3114
163238.7.10.32/28238.7.10.33 to 238.7.10.46238.7.10.4714
164238.7.10.48/28238.7.10.49 to 238.7.10.62238.7.10.6314
165238.7.10.64/28238.7.10.65 to 238.7.10.78238.7.10.7914
166238.7.10.80/28238.7.10.81 to 238.7.10.94238.7.10.9514
167238.7.10.96/28238.7.10.97 to 238.7.10.110238.7.10.11114
168238.7.10.112/28238.7.10.113 to 238.7.10.126238.7.10.12714
169238.7.10.128/28238.7.10.129 to 238.7.10.142238.7.10.14314
170238.7.10.144/28238.7.10.145 to 238.7.10.158238.7.10.15914
171238.7.10.160/28238.7.10.161 to 238.7.10.174238.7.10.17514
172238.7.10.176/28238.7.10.177 to 238.7.10.190238.7.10.19114
173238.7.10.192/28238.7.10.193 to 238.7.10.206238.7.10.20714
174238.7.10.208/28238.7.10.209 to 238.7.10.222238.7.10.22314
175238.7.10.224/28238.7.10.225 to 238.7.10.238238.7.10.23914
176238.7.10.240/28238.7.10.241 to 238.7.10.254238.7.10.25514
177238.7.11.0/28238.7.11.1 to 238.7.11.14238.7.11.1514
178238.7.11.16/28238.7.11.17 to 238.7.11.30238.7.11.3114
179238.7.11.32/28238.7.11.33 to 238.7.11.46238.7.11.4714
180238.7.11.48/28238.7.11.49 to 238.7.11.62238.7.11.6314
181238.7.11.64/28238.7.11.65 to 238.7.11.78238.7.11.7914
182238.7.11.80/28238.7.11.81 to 238.7.11.94238.7.11.9514
183238.7.11.96/28238.7.11.97 to 238.7.11.110238.7.11.11114
184238.7.11.112/28238.7.11.113 to 238.7.11.126238.7.11.12714
185238.7.11.128/28238.7.11.129 to 238.7.11.142238.7.11.14314
186238.7.11.144/28238.7.11.145 to 238.7.11.158238.7.11.15914
187238.7.11.160/28238.7.11.161 to 238.7.11.174238.7.11.17514
188238.7.11.176/28238.7.11.177 to 238.7.11.190238.7.11.19114
189238.7.11.192/28238.7.11.193 to 238.7.11.206238.7.11.20714
190238.7.11.208/28238.7.11.209 to 238.7.11.222238.7.11.22314
191238.7.11.224/28238.7.11.225 to 238.7.11.238238.7.11.23914
192238.7.11.240/28238.7.11.241 to 238.7.11.254238.7.11.25514
193238.7.12.0/28238.7.12.1 to 238.7.12.14238.7.12.1514
194238.7.12.16/28238.7.12.17 to 238.7.12.30238.7.12.3114
195238.7.12.32/28238.7.12.33 to 238.7.12.46238.7.12.4714
196238.7.12.48/28238.7.12.49 to 238.7.12.62238.7.12.6314
197238.7.12.64/28238.7.12.65 to 238.7.12.78238.7.12.7914
198238.7.12.80/28238.7.12.81 to 238.7.12.94238.7.12.9514
199238.7.12.96/28238.7.12.97 to 238.7.12.110238.7.12.11114
200238.7.12.112/28238.7.12.113 to 238.7.12.126238.7.12.12714
201238.7.12.128/28238.7.12.129 to 238.7.12.142238.7.12.14314
202238.7.12.144/28238.7.12.145 to 238.7.12.158238.7.12.15914
203238.7.12.160/28238.7.12.161 to 238.7.12.174238.7.12.17514
204238.7.12.176/28238.7.12.177 to 238.7.12.190238.7.12.19114
205238.7.12.192/28238.7.12.193 to 238.7.12.206238.7.12.20714
206238.7.12.208/28238.7.12.209 to 238.7.12.222238.7.12.22314
207238.7.12.224/28238.7.12.225 to 238.7.12.238238.7.12.23914
208238.7.12.240/28238.7.12.241 to 238.7.12.254238.7.12.25514
209238.7.13.0/28238.7.13.1 to 238.7.13.14238.7.13.1514
210238.7.13.16/28238.7.13.17 to 238.7.13.30238.7.13.3114
211238.7.13.32/28238.7.13.33 to 238.7.13.46238.7.13.4714
212238.7.13.48/28238.7.13.49 to 238.7.13.62238.7.13.6314
213238.7.13.64/28238.7.13.65 to 238.7.13.78238.7.13.7914
214238.7.13.80/28238.7.13.81 to 238.7.13.94238.7.13.9514
215238.7.13.96/28238.7.13.97 to 238.7.13.110238.7.13.11114
216238.7.13.112/28238.7.13.113 to 238.7.13.126238.7.13.12714
217238.7.13.128/28238.7.13.129 to 238.7.13.142238.7.13.14314
218238.7.13.144/28238.7.13.145 to 238.7.13.158238.7.13.15914
219238.7.13.160/28238.7.13.161 to 238.7.13.174238.7.13.17514
220238.7.13.176/28238.7.13.177 to 238.7.13.190238.7.13.19114
221238.7.13.192/28238.7.13.193 to 238.7.13.206238.7.13.20714
222238.7.13.208/28238.7.13.209 to 238.7.13.222238.7.13.22314
223238.7.13.224/28238.7.13.225 to 238.7.13.238238.7.13.23914
224238.7.13.240/28238.7.13.241 to 238.7.13.254238.7.13.25514
225238.7.14.0/28238.7.14.1 to 238.7.14.14238.7.14.1514
226238.7.14.16/28238.7.14.17 to 238.7.14.30238.7.14.3114
227238.7.14.32/28238.7.14.33 to 238.7.14.46238.7.14.4714
228238.7.14.48/28238.7.14.49 to 238.7.14.62238.7.14.6314
229238.7.14.64/28238.7.14.65 to 238.7.14.78238.7.14.7914
230238.7.14.80/28238.7.14.81 to 238.7.14.94238.7.14.9514
231238.7.14.96/28238.7.14.97 to 238.7.14.110238.7.14.11114
232238.7.14.112/28238.7.14.113 to 238.7.14.126238.7.14.12714
233238.7.14.128/28238.7.14.129 to 238.7.14.142238.7.14.14314
234238.7.14.144/28238.7.14.145 to 238.7.14.158238.7.14.15914
235238.7.14.160/28238.7.14.161 to 238.7.14.174238.7.14.17514
236238.7.14.176/28238.7.14.177 to 238.7.14.190238.7.14.19114
237238.7.14.192/28238.7.14.193 to 238.7.14.206238.7.14.20714
238238.7.14.208/28238.7.14.209 to 238.7.14.222238.7.14.22314
239238.7.14.224/28238.7.14.225 to 238.7.14.238238.7.14.23914
240238.7.14.240/28238.7.14.241 to 238.7.14.254238.7.14.25514
241238.7.15.0/28238.7.15.1 to 238.7.15.14238.7.15.1514
242238.7.15.16/28238.7.15.17 to 238.7.15.30238.7.15.3114
243238.7.15.32/28238.7.15.33 to 238.7.15.46238.7.15.4714
244238.7.15.48/28238.7.15.49 to 238.7.15.62238.7.15.6314
245238.7.15.64/28238.7.15.65 to 238.7.15.78238.7.15.7914
246238.7.15.80/28238.7.15.81 to 238.7.15.94238.7.15.9514
247238.7.15.96/28238.7.15.97 to 238.7.15.110238.7.15.11114
248238.7.15.112/28238.7.15.113 to 238.7.15.126238.7.15.12714
249238.7.15.128/28238.7.15.129 to 238.7.15.142238.7.15.14314
250238.7.15.144/28238.7.15.145 to 238.7.15.158238.7.15.15914
251238.7.15.160/28238.7.15.161 to 238.7.15.174238.7.15.17514
252238.7.15.176/28238.7.15.177 to 238.7.15.190238.7.15.19114
253238.7.15.192/28238.7.15.193 to 238.7.15.206238.7.15.20714
254238.7.15.208/28238.7.15.209 to 238.7.15.222238.7.15.22314
255238.7.15.224/28238.7.15.225 to 238.7.15.238238.7.15.23914
256238.7.15.240/28238.7.15.241 to 238.7.15.254238.7.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses